/****************************************************************************
* MtraceHop.java
*
* PURPOSE
* Class to hold a single hop's worth of mtrace data.
*
* MHEALTH
* Written by David Makofske and Kevin Almeroth
* University of California at Santa Barbara
* Department of Computer Science
* Neworking and Multimedia Systems Laboratory
* http://imj.ucsb.edu/mcontrol
*
* COPYRIGHT
* Copyright 1998, 1999
* University of California at Santa Barbara
* Networking and Multimedia Systems Lab
* Santa Barbara, CA  93106
* ALL RIGHTS RESERVED
*
* This material may be modified, copied and redistributed, both within
* the recipient's organization and externally, subject to the following
* restrictions:  (a)  The recipient may not derive income from the
* University of California at Santa Barbara (herein "UCSB") information
* itself;  (b)  In any material based on this information, the recipient
* agrees to acknowledge UCSB; (c)  Any copies made of this material must be
* accompanied by the following copyright notice: "Copyright 1998, 1999
* University of California at Santa Barbara. Santa Barbara, CA 93106. All
* Rights Reserved."; and (d)  The recipient agrees to obey all U.S.
* Government restrictions governing redistribution or export of such
* information. These restrictions may apply to redistribution within an
* international organization. UCSB makes no warranties or representations,
* either expressed or implied, with respect to the results containied
* herein, its quality, merchantability, performance or fitness for a
* particular purpose. In no event shall UCSB or its developers, directors,
* officers, employees or affiliates be liable for direct, incidental,
* indirect, special or consequential damages (including damages or loss
* of business profits, business interruption, loss of business information
* and the like) resulting from any defect in this material or its
* documentation or arising out of the use or inability to use this material
* or accompanying documentation even if UCSB, an authorized representative
* or a UCSB affiliate has been advised of the possibility of such damage.
* UCSB makes no representation or warranty regarding the results obtainable
* through use of this material.  No oral or written information or advice
* given by UCSB, its dealers, distributors, agents, affiliates, developers,
* directors, officers or employees shall create a warranty or in any way
* increase the scope of this warranty.
****************************************************************************/

import java.io.*;
import java.util.*;

public class MtraceHop {

  private String name;
  private String IP;
  private String lost_packets;
  private String total_packets;
  private String protocol;
  private Date time_traced;

  public MtraceHop(String name, String IP) {
    this.name   = name;
    this.IP     = IP;
    
    lost_packets="";
    total_packets="";
    protocol="unknown";
  }

  /************************************************************************/
  // Set and Get Key Fields 
  /************************************************************************/
  public String getName() { return(name); }
  public String getIP() { return(IP); }

  /************************************************************************/
  // Set and Get General Fields 
  /************************************************************************/
  public void setLostPackets(String lost_packets) {
    this.lost_packets = lost_packets;
  }
  public String getLostPackets() { return(lost_packets); }

  public void setTotalPackets(String total_packets) {
    this.total_packets = total_packets;
  }
  public String getTotalPackets() { return(total_packets); }

  public void setProtocol(String protocol) {
    this.protocol = protocol;
  }
  public String getProtocol() { return(protocol); }

  public void setTimeTraced(Date time_traced) {
    this.time_traced = time_traced;
  }
  public Date getTimeTraced() { return(time_traced); }

}
