/****************************************************************************
* MtraceStatsPanel.java
*
* PURPOSE
* Panel to display results of an mtrace (single hop).
*
* MHEALTH
* Written by David Makofske and Kevin Almeroth
* University of California at Santa Barbara
* Department of Computer Science
* Neworking and Multimedia Systems Laboratory
* http://imj.ucsb.edu/mcontrol
*
* COPYRIGHT
* Copyright 1998, 1999
* University of California at Santa Barbara
* Networking and Multimedia Systems Lab
* Santa Barbara, CA  93106
* ALL RIGHTS RESERVED
*
* This material may be modified, copied and redistributed, both within
* the recipient's organization and externally, subject to the following
* restrictions:  (a)  The recipient may not derive income from the
* University of California at Santa Barbara (herein "UCSB") information
* itself;  (b)  In any material based on this information, the recipient
* agrees to acknowledge UCSB; (c)  Any copies made of this material must be
* accompanied by the following copyright notice: "Copyright 1998, 1999
* University of California at Santa Barbara. Santa Barbara, CA 93106. All
* Rights Reserved."; and (d)  The recipient agrees to obey all U.S.
* Government restrictions governing redistribution or export of such
* information. These restrictions may apply to redistribution within an
* international organization. UCSB makes no warranties or representations,
* either expressed or implied, with respect to the results containied
* herein, its quality, merchantability, performance or fitness for a
* particular purpose. In no event shall UCSB or its developers, directors,
* officers, employees or affiliates be liable for direct, incidental,
* indirect, special or consequential damages (including damages or loss
* of business profits, business interruption, loss of business information
* and the like) resulting from any defect in this material or its
* documentation or arising out of the use or inability to use this material
* or accompanying documentation even if UCSB, an authorized representative
* or a UCSB affiliate has been advised of the possibility of such damage.
* UCSB makes no representation or warranty regarding the results obtainable
* through use of this material.  No oral or written information or advice
* given by UCSB, its dealers, distributors, agents, affiliates, developers,
* directors, officers or employees shall create a warranty or in any way
* increase the scope of this warranty.
****************************************************************************/

import java.awt.*;

public class MtraceStatsPanel extends BorderedPanel {


  public MtraceStatsPanel (MtraceStats mtraceStats, String name, String ip) {

    int yOffset = 0;

    Label lblHeader;
    if (mtraceStats == null) {
      lblHeader = new Label("No Mtrace Data Available", Label.CENTER);
      lblHeader.setFont(new Font("Dialog", Font.BOLD, 18));
      addToGridBag(lblHeader, 0, yOffset++, 2, 1);
    } else {
      lblHeader = new Label("Last Mtrace Data", Label.CENTER);
      lblHeader.setFont(new Font("Dialog", Font.BOLD, 18));
      addToGridBag(lblHeader, 0, yOffset++, 2, 1);

      if (name != null) {
        addToGridBag(new Label("Name:",Label.RIGHT), 0, yOffset, 
                     1, 1);
        TextField txtName = new TextField(name);
        txtName.setEditable(false);
        addToGridBag(txtName, 1, yOffset++, 1, 1);
      }
      if (ip != null) {
        addToGridBag(new Label("Address:",Label.RIGHT), 0, yOffset, 
                     1, 1);
        TextField txtAddress = new TextField(ip);
        txtAddress.setEditable(false);
        addToGridBag(txtAddress, 1, yOffset++, 1, 1);
      }

      addToGridBag(new Label("Last Mtrace Start:",Label.RIGHT), 0, yOffset, 
                   1, 1);
      TextField start = new TextField
                        (mtraceStats.getMtraceStartDate().toString());
      start.setEditable(false);
      addToGridBag(start, 1, yOffset++, 1, 1);

      addToGridBag(new Label("Last Mtrace Finish:",Label.RIGHT), 0, yOffset, 
                   1, 1);
      TextField finish = new TextField
                        (mtraceStats.getMtraceFinishDate().toString());
      finish.setEditable(false);
      addToGridBag(finish, 1, yOffset++, 1, 1);

      addToGridBag(new Label("Last Receiver Traced:",Label.RIGHT), 0, yOffset, 
                   1, 1);
      TextField receiver = new TextField(mtraceStats.getMtraceReceiver());
      receiver.setEditable(false);
      addToGridBag(receiver, 1, yOffset++, 1, 1);

      addToGridBag(new Label("Last Mtrace Status:",Label.RIGHT), 0, yOffset, 
                   1, 1);
      TextField status = new TextField(mtraceStats.getMtraceStatus());
      status.setEditable(false);
      addToGridBag(status, 1, yOffset++, 1, 1);

      addToGridBag(new Label("Packets Lost/Received:",Label.RIGHT), 0, yOffset, 
                   1, 1);
      TextField loss = new TextField(mtraceStats.getMtraceLoss() + " (" +
                       mtraceStats.getMtraceLossPercentStr() + ")");
      loss.setEditable(false);
      addToGridBag(loss, 1, yOffset++, 1, 1);

    }
  }
}
